### Method

# AppStreamCompose ImageSource copy

since: 1.2.0

#### Declaration [src]

    AscImageSource*
    asc_image_source_copy (
      AscImageSource* source
    )

#### Description [src]

Create a copy of an `AscImageSource`, including any result data it may already carry.

Available since: 1.2.0

#### Return value

Type: `AscImageSource`

A new `AscImageSource`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.